apiVersion: v1
kind: Service
metadata:
  name: emrv2-stag-fe-service
spec:
  type: NodePort
  selector:
    app: emrv2-stag-frontend
    tier: frontend
  ports:
  - name: stag-fe-port
    protocol: TCP
    port: 8000
    targetPort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: emrv2-stag-frontend
spec:
  selector:
    matchLabels:
      app: emrv2-stag-frontend
      tier: frontend
      track: stable
  replicas: 1
  template:
    metadata:
      labels:
        app: emrv2-stag-frontend
        tier: frontend
        track: stable
    spec:
      containers:
        - name: emrv2-stag-frontend
          image: "gcr.io/emr-v2/emrv2-frontend-stag:4dd8d6356a64f280f52bcdecec9522755c97cfa1"
          ports:
            - name: http
              containerPort: 80
          env:
            - name: PROJECT_ID
              value: emr-v2